<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>System Metrics</title>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background-color: #f8f9fa;
        }
        .metric-card {
            margin-top: 20px;
        }
        .footer {
            background-color: #343a40;
            color: white;
            padding: 10px 0;
            position: fixed;
            width: 100%;
            bottom: 0;
        }
    </style>
</head>
<body>

    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="index.html">System Metrics</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="index.html">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="about.html">About</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="contact.html">Contact</a>
                </li>
            </ul>
        </div>
    </nav>


    <div class="container mt-5">
        <h1 class="text-center">System Metrics</h1>
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="card text-center metric-card">
                    <div class="card-body">
                        <h5 class="card-title">CPU Usage</h5>
                        <p class="card-text"><strong>{{ metrics.cpu }}%</strong></p>
                    </div>
                </div>
                <div class="card text-center metric-card">
                    <div class="card-body">
                        <h5 class="card-title">RAM Usage</h5>
                        <p class="card-text"><strong>{{ metrics.ram }}%</strong></p>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="footer text-center">
        <p>&copy; 2024 System Metrics Dashboard. All Rights Reserved.</p>
    </div>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.4/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>

